Tjänster som låter dig signera med Bank-ID har blivit en del av mångas vardag. Swish, internetbanken och Skatteverkets olika funktioner kan kommas åt med tjänsten – och bra mycket smidigare blev det när mobilt Bank-ID såg dagens ljus. Men en liten hake finns det. I takt med att nya versioner av operativsystemen Android och IOS släpps skiftar Apple och Google även fokus på säkerhetsuppdateringar till dessa.

Iphone X-ägare: Bank-ID fungerar nu med Face ID

Det är också anledningen till att mobilt Bank-ID slutar att fungera med versioner som har flera år på nacken. Nu i februari har systemkravet höjts för Apples telefoner från IOS 7 till IOS 9. Senare, under sommaren, försvinner stödet för Android 4 – kravet höjs då till Android 5. Användarna måste således köpa en ny telefon med nyare operativsystem om de vill fortsätta ha tillgång till tjänsten. Detta står att läsa på supportsidan för Bank-ID.

Denna varning har listats länge, och visas/visades även i appen hos berörda telefoner. DN har varit i kontakt med Malin Wemnell, administrativ chef på Bank-ID, som förklarar beskedet så här:

– Vi har släppt en uppdatering som innebär att äldre telefoner inte går att använda längre. När telefonleverantörerna slutar ge säkerhetsuppdateringar måste vi också göra det för att bibehålla vår säkerhet. Det är en naturlig del av teknikutvecklingen, tyvärr.

Guide: Så uppdaterar du din Androidmobil eller platta

Statistik från Google själva visar att närmare 20 procent av världens enheter fortfarande kör någon version av Android 4. I Sverige torde siffran vara lägre, men knappast försumbar. Motsvarande siffra för Apples operativsystem IOS 7 och 8 är avsevärt lägre – enligt Bank-ID själva rör det sig om 10 000 IOS-användare som inte kan köra appen efter den senaste uppdateringen.

Sitter du med en Android 4-enhet behöver du alltså se dig om efter en ny telefon om du vill fortsätta använda mobilt bank-id även efter sommaren.

Det här är en uppdaterad version av en artikel från december 2017.